<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Remove Method (String, DatabaseEnvironment)
BaseDatabase Class See Also Send Feedback

Remove the underlying file represented by Filename, incidentally removing all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public static void Remove(
    	string Filename,
    	DatabaseEnvironment DbEnv
    )

Visual Basic (Declaration)

    Public Shared Sub Remove ( _
    	Filename As String, _
    	DbEnv As DatabaseEnvironment _
    )

Visual C++

    public:
    static void Remove(
    	String^ Filename,
    	DatabaseEnvironment^ DbEnv
    )

#### Parameters

Filename
  Type: System..::.String
  The file to remove

DbEnv
  Type: BerkeleyDB..::.DatabaseEnvironment
  The DatabaseEnvironment the database belongs to

# See Also

BaseDatabase Class
Remove Overload
BerkeleyDB Namespace